API ReferenceapicommsPATCH /v1/inbox/{id}/read

PATCH /v1/inbox/\{id\}/read

Service: comms · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Item marked as read

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "brand_id": {
      "type": "string"
    },
    "person_id": {
      "type": "string"
    },
    "channel": {
      "type": "string"
    },
    "category": {
      "type": "string"
    },
    "title": {
      "type": "string"
    },
    "body": {
      "type": [
        "string",
        "null"
      ]
    },
    "action_url": {
      "type": [
        "string",
        "null"
      ]
    },
    "read_at": {
      "type": [
        "string",
        "null"
      ]
    },
    "created_at": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "brand_id",
    "person_id",
    "channel",
    "category",
    "title",
    "body",
    "action_url",
    "read_at",
    "created_at"
  ]
}

404 Item not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X PATCH https://comms.platform.loop.health/v1/inbox/{id}/read \
  -H "Authorization: Bearer $ACCESS_TOKEN"